SystemOrganization addCategory: #'Seaside-Gettext-Examples'!

WAComponent subclass: #WAGettextExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Gettext-Examples'!

!WAGettextExample class methodsFor: 'class initialization' stamp: 'pmm 5/8/2010 16:05'!
initialize
	self register! !

!WAGettextExample class methodsFor: 'class initialization' stamp: 'pmm 5/8/2010 15:59'!
register
	| application |
	application := WAAdmin 
		register: self
		asApplicationAt: 'gettext'.
	application preferenceAt: #sessionClass put: WAGettextExampleSession.
	TextDomainManager registerCategoryPrefix: 'Seaside-Gettext-Examples' domain: 'gettext'.! !

!WAGettextExample class methodsFor: 'class initialization' stamp: 'pmm 5/8/2010 16:00'!
unload
	TextDomainManager unregisterDomain: 'gettext'! !

WAComponent subclass: #WAGettextExampleSession
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Gettext-Examples'!

!WAGettextExampleSession methodsFor: 'initialization' stamp: 'pmm 5/8/2010 15:54'!
initializeFilters
	super initializeFilters.
	self addFilter: WALocalizationContextFilter new! !

!GRPackage class methodsFor: '*seaside-gettext-examples' stamp: 'pmm 5/8/2010 15:43'!
seasideGettextExamples
	^ self new
		name: 'Seaside-Gettext-Examples';
		description: 'Examples for Seaside-Gettext';
		url: #seasideAddonsUrl;
		yourself! !
WAGettextExample initialize!
